Smart II Software parameters: NetBIOS parameters
================================================
                                               LSS 5.0(0), August 1996
                                               -----------------------
1 Introduction
--------------

This document describes the parameters that affect  the  operation  of 
the NetBIOS interface on a particular Ringnode in your workstation.

If you are using SMART.CFG to configure your Smart II  Software,  then 
you must place all of the NetBIOS parameters in the [NETB] section.

Figure 1 displays part of a SMART.CFG which demonstrates some  of  the 
NetBIOS  parameters.  All of the NetBIOS  parameters are in the [NETB]
section.

      +------------------------------------------+      
      |                                          |
      | [HOST]                                   |
      |                                          |
      |   :         ; host parameters here       |
      |                                          |
      |  [CARD]     ; first card section         |
      |                                          |
      |   [NETB]    ; install NetBIOS interface  |
      |                                          |
      |    COMMANDS=24                           |
      |    DATAGRAM.MAX=N                        |
      |                                          |
      +------------------------------------------+      

        Figure 1. Example SMART.CFG.
                                                                                        
Table 1  contains  a list  of  all  the NetBIOS  parameters. Section 2 
describes each of the NetBIOS parameters.

      +------------------------------------------+
      |                                          |
      | Parameter              (Abbrev)   Type   |
      | ---------              --------   ----   |
      | ADAP.ADDR.NOT.REVERSED    ANR    NetBIOS |
      | CALL.MAXOUT               CMO    NetBIOS |
      | CLOSE.ON.RESET            CR     NetBIOS |
      | COMMANDS                  C      NetBIOS |
      | DATAGRAM.MAX              DG     NetBIOS |
      | DLC.T1                    T1     NetBIOS |
      | DLC.T2                    T2     NetBIOS |
      | DLC.TI                    TI     NetBIOS |
      | DLC.T1.BRIDGE             T1B    NetBIOS |
      | DLC.MAXOUT                MO     NetBIOS |
      | DLC.MAXIN                 MI     NetBIOS |
      | DLC.MAXOUT.INCR           MOI    NetBIOS |
      | DLC.RETRY.COUNT           RC     NetBIOS |
      | LISTEN.MAXOUT             LMO    NetBIOS |
      | NAMES                     N      NetBIOS |
      | OPEN.ON.LOAD              O      NetBIOS |
      | PBA.TIMER                 PBA    NetBIOS |
      | REMOTE.DATAGRAM.CONTROL   RDC    NetBIOS |
      | REMOTE.NAME.DIRECTORY     RND    NetBIOS |
      | RING.ACCESS               RA     NetBIOS |
      | SESSIONS                  S      NetBIOS |
      | TRANSMIT.COUNT            TC     NetBIOS |
      | TRANSMIT.TIMEOUT          TT     NetBIOS |
      | TX.I.BUFFERS              TXI    NetBIOS |
      | TX.U.BUFFERS              TXU    NetBIOS |
      |                                          |
      +------------------------------------------+

        Table 1. NetBIOS parameters.

If  you  are configuring your Smart II Software from the command line, 
you can put the NetBIOS parameters  anywhere.  However,  we  recommend 
that you put them all together.

A sample command line, which enables an NetBIOS interface with 8 names
and 22 commands is as follows :

        SMART NETB C=22 NAMES=8

2 NetBIOS parameters
--------------------
This section describes the NETB parameters.  Abbreviations  are  given 
for each parameter that can be shortened.
                        
ADAP.ADDR.NOT.REVERSED      Prevents byte reversal of the node address 
                            that appears in the  NetBIOS status  area, 
                    and in the  NetBIOS permanent  name.  By  default, 
                    this node address is byte reversed. If you set the
                    parameter to YES then the node address is not byte
                    reversed.

                    Range       : YES, Y, NO or NO
                    Default     : NO
                    Abbreviation: ANR

                    Example     : ANR=YES

CALL.MAXOUT         Specifies the size of the transmit window for  all
                    NetBIOS sessions.

                    Range       : 2 - 255
                    Default     : 6
                    Abbreviation: CMO

                    Example     : CMO=20

CLOSE.ON.RESET      Closes  and  reopens the Ringnode whenever NetBIOS 
                    receives a  RESET  command.   By  default  NetBIOS 
                    closes  and  reopens  only  its  own  SAP  when it 
                    receives a RESET command.

                    Range       : YES, Y, NO or NO
                    Default     : NO
                    Abbreviation: CR

                    Example     : CR=YES

COMMANDS            Specifies  the maximum  number  of NetBIOS Control
                    Blocks (NCB) that NetBIOS handles at any one time.
                    If an application issues more than this number  of 
                    NCBs then NetBIOS rejects them.  The default value
                    of 24 is sufficient for most NetBIOS applications.

                    Reducing this  parameter  releases  some  Ringnode
                    resources  for other  uses, and so  increases  the
                    number  of  link  stations  and sessions  that the 
                    Ringnode can support.

                    Range       : 1 - 254
                    Default     : 32
                    Abbreviation: C

                    Example     : C=22

DATAGRAM.MAX        Controls the maximum size of  datagrams  that  the 
                    NetBIOS  interface  transmits.  By default this is 
                    512 bytes.  If you set this parameter to YES,  the 
                    maximum   datagram   size  is  determined  by  the 
                    FRAME.SIZE parameter and might be larger than  512 
                    bytes.    We  recommend  that  you  limit  NetBIOS 
                    applications to 512-byte  datagrams  because  some 
                    NetBIOS  implementations  might not support larger 
                    sizes.

                    Range       : YES, Y, NO or N
                    Default     : NO
                    Abbreviation: DG
                    Example     : DG=YES

DLC.MAXIN           Specifies the maximum number of I-frames that  are
                    received  on  NetBIOS  links  before  an LLC-level
                    acknowledgment is sent.

                    The default value is suitable for most situations.  
                    If you change DLC.MAXIN, make sure that its  value 
                    is the same on all the NetBIOS interfaces  on your 
                    network.
                                        
                    Range       : 1 - 9
                    Default     : 1
                    Abbreviation: MI

                    Example     : MI=5

DLC.MAXOUT          Specifies the maximum  number of I-frames that are
                    transmitted  on NetBIOS links  before an LLC-level
                    acknowledgment is required.

                    The default value is suitable for most situations.  
                    If you change DLC.MAXOUT, make sure that its value 
                    is the same on all the  NetBIOS interfaces on your 
                    network.

                    Range       : 1 - 9
                    Default     : 2
                    Abbreviation: MO

                    Example     : MO=8

DLC.MAXOUT.INCR     Specifies the  number of frames by which  the size
                    of the transmit  window increases in response to a
                    frame loss caused by a temporary congestion.  This 
                    parameter  reduces the  load on bridges  that have 
                    become congested.

                    Range       : 1 - 255
                    Default     : 1
                    Abbreviation: MOI

                    Example     : MOI=20

DLC.RETRY.COUNT     Specifies the  number  of  attempts  that  the LLC 
                    makes to transmit  I-frames on links  that NetBIOS
                    is using.  After the specified number of attempts,
                    all NetBIOS sessions to the remote adapter that is
                    not acknowledging frames are  closed with an error
                    message.  The DLC.T1 parameter specifies the  time 
                    period separating the retries.

                    Range       : 1 - 255
                    Default     : 10
                    Abbreviation: RC

                    Example     : RC=8

DLC.T1              Specifies  the time delay between transmission and 
                    retransmission of a frame if no acknowledgment  is 
                    received.   The default value of 5 gives a timeout 
                    of two seconds.   For  details  about  the  timing 
                    scheme,  refer  to  the  "IBM  Local  Area Network 
                    Technical Reference Manual".

                    
                    Range       : 0 - 10
                    Default     : 5
                    Abbreviation: T1

                    Example     : T1=8

DLC.T1.BRIDGE       Specifies the time delay between transmission  and 
                    retransmission  of  a  frame on a link that exists 
                    over one or more  bridges. For details  about  the 
                    timing  scheme,  refer  to  the  "IBM  Local  Area 
                    Network Technical Reference Manual".


                    Range       : 2 - 255
                    Default     : 7
                    Abbreviation: T1B

                    Example     : T1B=18

DLC.T2              Specifies the time delay between the  receipt  and 
                    acknowledgment  of  a frame when the frame has not 
                    reached the receive  window.   The  default  value 
                    gives  a  retry timeout of 120 milliseconds.  This 
                    is appropriate for most  situations.  For  details 
                    about  the  timing scheme, refer to the "IBM Local 
                    Area Network Technical Reference Manual".


                    Range       : 0 - 11
                    Default     : 2
                    Abbreviation: T2

                    Example     : T2=5

DLC.TI              Specifies the delay after which the LLC sends poll 
                    frames to check that a link is  still  functional. 
                    The  default  value  gives  a  time-out  of thirty 
                    seconds.  This is longer than the default  setting 
                    of  the NetBIOS link-inactivity timer.  Therefore, 
                    the NetBIOS timer normally expires first and sends 
                    a poll frame. This restarts the LLC's  timer.  For 
                    details about the timing scheme, refer to the "IBM 
                    Local Area Network Technical Reference Manual".


                    Range       : 0 - 10
                    Default     : 10
                    Abbreviation: TI

                    Example     : TI=7

LISTEN.MAXOUT       Specifies  the  size  of  the  receive  window for
                    NetBIOS sessions.  Alter LISTEN.MAXOUT with care.
                
                    Range       : 2 - 255
                    Default     : 3
                    Abbreviation: LMO

                    Example     : LMO=18

NAMES               Specifies the maximum number of NetBIOS names that
                    the Ringnode can have at any one time. The default
                    of 12 includes the permanent name, which is always 
                    present. The default is usually sufficient.

                    Range       : 2 - 254
                    Default     : 17
                    Abbreviation: N

                    Example     : N=14

OPEN.ON.LOAD        Specifies that the adapter should open as soon  as
                    the driver has been loaded.

                    Range       : YES, Y, NO or NO
                    Default     : YES
                    Abbreviation: O

                    Example     : O=N
                                                                                                                                
PBA.TIMER           Specifies  the  time an  explicit  acknowledgement 
                    will be delayed in preference to piggy-backing  it 
                    to an outgoing  data frame.  Setting this  to zero 
                    disables the use of piggy-backed acknowledgements.
                                                                                                                                        
                    In situations  where  the  majority  data is being 
                    sent in one direction  improved  performance maybe 
                    obtained  by  disabling  the  use  of piggy-backed 
                    acknowledgements.
                                                                        
                    Range       : 0 - 100
                    Default     : 10
                    Abbreviation: PBA

                    Example     : PBA=20

REMOTE.DATAGRAM.CONTROL     Enables the remote-name directory cache to 
                            send  datagrams.  If  there  is  a  lot of 
                    datagram traffic then REMOTE.DATAGRAM.CONTROL  can 
                    significantly reduce network overload. By default, 
                    the remote-name directory is used only for session 
                    establishment, not for sending datagrams.

                    Range       : YES, Y, NO or NO
                    Default     : NO
                    Abbreviation: RDC

                    Example     : RDC=YES

REMOTE.NAME.DIRECTORY       Specifies  the  number of remote addresses 
                            that can be stored in  the NetBIOS  remote 
                    name directory.  The REMOTE.NAME.DIRECTORY  allows 
                    NetBIOS to remember the  location of  remote nodes 
                    and to call them directly without using multi-cast 
                    frames. Note that 4 is the minimum  number of name 
                    entries. If you specify 1, 2, or 3, NetBIOS  still 
                    uses 4. If you specify 0 the remote-name directory
                    is disabled.

                    Range       : 0 - 255
                    Default     : 0
                    Abbreviation: RND

                    Example     : RND=10

RING.ACCESS         Specifies  the  access  priority  with  which your
                    Ringnode  transmits  frames  onto  the  ring.  The 
                    higher the number, the higher  the  priority.  Use
                    this parameter  with extreme  care because  if you
                    increase it  from  the  default  value  then other
                    stations might be unable to access the network.

                    Range       : 0 - 3
                    Default     : 0
                    Abbreviation: RA

                    Example     : RA=1

SESSIONS            Specifies the maximum number of  NetBIOS  sessions 
                    that  may be open at one time.  The default is 24.  
                    For most NetBIOS applications, set this  parameter 
                    to  the  same value as STATIONS.  If you specify a 
                    value for SESSIONS that  is  less  than  STATIONS, 
                    SESSIONS will default to the value of STATIONS.

                    However, if  an  application  opens  many  NetBIOS
                    sessions to the same remote computer, we recommend
                    that you make the SESSIONS  parameter larger  than
                    the STATIONS parameter. Although the maximum value
                    allowed  is 254, the  amount of  available  memory 
                    typically imposes a limit of about 90.

                    Range       : 1 - 254
                    Default     : 32
                    Abbreviation: S

                    Example     : S=30

TRANSMIT.COUNT      Specifies the  maximum  number  of  times  NetBIOS 
                    attempts to transmit UI frame requests.

                    Range       : 1 - 10
                    Default     : 6
                    Abbreviation: TC

                    Example     : TC=7

TRANSMIT.TIMEOUT    Specifies the delay between attempts by NetBIOS to
                    transmit UI frame requests (this delay is measured
                    in units of 0.5 seconds).

                    Range       : 1 - 20
                    Default     : 1
                    Abbreviation: TT

                    Example     : TT=5

TX.I.BUFFERS        Specifies the number  of buffers NetBIOS maintains
                    in order to handle transmissions of I-frames.

                    Range       : 2 - 255
                    Default     : 32
                    Abbreviation: TXI

                    Example     : TXI=30

TX.U.BUFFERS        Specifies the  number of buffers NetBIOS maintains
                    in order to handle transmissions of UI-frames.

                    Range       : 2 - 255
                    Default     : 10
                    Abbreviation: TXU

                    Example     : TXU=20


                    ***** End of SMTNETB.TXT *****
